Subject: Re: [PATCH 0/6] [RFC] Sizing zones and holes in an architecture independent manner

From: "Bob Picco" <[email-masked]>
Date: Wed, 12 Apr 2006 13:18:42 -0400

luck wrote:	[Wed Apr 12 2006, 01:07:26PM EDT]
> On Wed, Apr 12, 2006 at 05:00:32PM +0100, Mel Gorman wrote:
> > Patch is attached as 105-ia64_use_init_nodes.patch until I beat sense into 
> > my mail setup. I've added Bob Picco to the cc list as he will hit the same 
> > issue with whitespace corruption.
> 
> Next I tried building a "generic" kernel (using arch/ia64/defconfig). This
> has NUMA=y and DISCONTIG=y).  This crashes with the following console log.
> 
> 
> -Tony
[snip]
Yes. I see the same. It's because with granules we have intersecting
regions which add_active_range doesn't handle. At least that's what
appears to be the reason. I modified add_active_range to combine an
added intersecting region and it boots. However, present pages in zones is
enormous which probably means hole calculation is wrong. That's what I'm
pursuing now.

bob